PHPExcel_Shared_ZipStreamWrapper

category | PHPExcel
package | PHPExcel_Shared
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Register wrapper

    register()

Static

## Implements support for fstat().

    statName() : boolean

### Returns

`boolean`

## EOF stream

    stream_eof() : bool

### Returns

`bool`

## Implements support for fopen().

    stream_open(string $path, string $mode, int $options, string $opened_path) : bool

### Parameters

#### $path

`string`

resource name including scheme, e.g.

#### $mode

`string`

only "r" is supported

#### $options

`int`

mask of STREAM_REPORT_ERRORS and STREAM_USE_PATH

#### $opened_path

`string`

&$openedPath absolute path of the opened stream (out parameter)

### Returns

`bool`true on success

## Implements support for fread(), fgets() etc.

    stream_read(int $count) : string

### Parameters

#### $count

`int`

maximum number of bytes to read

### Returns

`string`

## Seek stream

    stream_seek(int $offset, int $whence) : bool

### Parameters

#### $offset

`int`

byte offset

#### $whence

`int`

SEEK_SET, SEEK_CUR or SEEK_END

### Returns

`bool`

## Implements support for fstat().

    stream_stat() : boolean

### Returns

`boolean`

## Returns the position of the file pointer, i.e.

    stream_tell() : int

its offset into the file stream. Implements support for ftell().

### Returns

`int`

## Implements support for fstat().

    url_stat() : boolean

### Returns

`boolean`

### Properties

##

    $_archive : \ZipAcrhive

##

    $_data : mixed

##

    $_fileNameInArchive : string

##

    $_position : int